<?php 
//check if current user role is allowed access to the pages
$can_add = ACL::is_allowed("countries/add");
$can_edit = ACL::is_allowed("countries/edit");
$can_view = ACL::is_allowed("countries/view");
$can_delete = ACL::is_allowed("countries/delete");
?>
<?php
$comp_model = new SharedController;
$page_element_id = "view-page-" . random_str();
$current_page = $this->set_current_page_link();
$csrf_token = Csrf::$token;
//Page Data Information from Controller
$data = $this->view_data;
//$rec_id = $data['__tableprimarykey'];
$page_id = $this->route->page_id; //Page id from url
$view_title = $this->view_title;
$show_header = $this->show_header;
$show_edit_btn = $this->show_edit_btn;
$show_delete_btn = $this->show_delete_btn;
$show_export_btn = $this->show_export_btn;
?>
<section class="page" id="<?php echo $page_element_id; ?>" data-page-type="view"  data-display-type="table" data-page-url="<?php print_link($current_page); ?>">
    <?php
    if( $show_header == true ){
    ?>
    <div  class="bg-light p-3 mb-3">
        <div class="container">
            <div class="row ">
                <div class="col ">
                    <h4 class="record-title">View  Countries</h4>
                </div>
            </div>
        </div>
    </div>
    <?php
    }
    ?>
    <div  class="">
        <div class="container">
            <div class="row ">
                <div class="col comp-grid">
                    <h4 class="header-sub">Country Details</h4>
                </div>
            </div>
        </div>
    </div>
    <div  class="">
        <div class="container">
            <div class="row ">
                <div class="col-md-12 comp-grid">
                    <?php $this :: display_page_errors(); ?>
                    <div  class="card animated fadeIn page-content">
                        <?php
                        $counter = 0;
                        if(!empty($data)){
                        $rec_id = (!empty($data['id']) ? urlencode($data['id']) : null);
                        $counter++;
                        ?>
                        <div id="page-report-body" class="">
                            <table class="table table-hover table-borderless table-striped">
                                <!-- Table Body Start -->
                                <tbody class="page-data" id="page-data-<?php echo $page_element_id; ?>">
                                    <tr  class="td-country_name_en">
                                        <th class="title"> Country Name En: </th>
                                        <td class="value"> <?php echo $data['country_name_en']; ?></td>
                                    </tr>
                                    <tr  class="td-country_name_ar">
                                        <th class="title"> Country Name Ar: </th>
                                        <td class="value"> <?php echo $data['country_name_ar']; ?></td>
                                    </tr>
                                    <tr  class="td-country_flag">
                                        <th class="title"> Country Flag: </th>
                                        <td class="value"><?php Html :: page_img($data['country_flag'],400,400,1); ?></td>
                                    </tr>
                                    <tr  class="td-us_rate">
                                        <th class="title"> Us Rate: </th>
                                        <td class="value"> <?php echo $data['us_rate']; ?></td>
                                    </tr>
                                    <tr  class="td-country_registration_fees">
                                        <th class="title"> Country Registration Fees: </th>
                                        <td class="value"> <?php echo $data['country_registration_fees']; ?></td>
                                    </tr>
                                    <tr  class="td-currency_en">
                                        <th class="title"> Currency En: </th>
                                        <td class="value"> <?php echo $data['currency_en']; ?></td>
                                    </tr>
                                    <tr  class="td-currency_ar">
                                        <th class="title"> Currency Ar: </th>
                                        <td class="value"> <?php echo $data['currency_ar']; ?></td>
                                    </tr>
                                    <tr  class="td-municipality">
                                        <th class="title"> Municipality: </th>
                                        <td class="value"> <?php echo $data['municipality']; ?></td>
                                    </tr>
                                    <tr  class="td-country_status">
                                        <th class="title"> Country Status: </th>
                                        <td class="value">
                                            <?php if($data['country_status'] == 'active') {?>
                                            <span class ="badge-active"><?php echo $data['country_status']; ?></span> 
                                            <?php } ?>
                                            <?php if($data['country_status'] == 'pending') {?>
                                            <span class ="badge-pending"><?php echo $data['country_status']; ?></span> 
                                            <?php } ?>
                                        </td>
                                    </tr>
                                    <tr  class="td-region_id">
                                        <th class="title"> Region: </th>
                                        <td class="value">
                                            <a size="sm" class="btn btn-sm btn-primary page-modal" href="<?php print_link("regions/view/" . urlencode($data['region_id'])) ?>">
                                                <i class="fa fa-eye"></i> <?php echo $data['regions_region_name_en'] ?>
                                            </a>
                                        </td>
                                    </tr>
                                    <tr  class="td-user_id">
                                        <th class="title"> User: </th>
                                        <td class="value">
                                            <a size="sm" class="btn btn-sm btn-primary page-modal" href="<?php print_link("users/view/" . urlencode($data['user_id'])) ?>">
                                                <i class="fa fa-eye"></i> <?php echo $data['users_full_name'] ?>
                                            </a>
                                        </td>
                                    </tr>
                                    <tr  class="td-created_at">
                                        <th class="title"> Created At: </th>
                                        <td class="value">
                                            <span title="<?php echo human_datetime($data['created_at']); ?>" class="has-tooltip">
                                                <?php echo relative_date($data['created_at']); ?>
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-updated_at">
                                        <th class="title"> Updated At: </th>
                                        <td class="value">
                                            <span title="<?php echo human_datetime($data['updated_at']); ?>" class="has-tooltip">
                                                <?php echo relative_date($data['updated_at']); ?>
                                            </span>
                                        </td>
                                    </tr>
                                </tbody>
                                <!-- Table Body End -->
                            </table>
                        </div>
                        <div class="p-3 d-flex">
                            <div class="dropup export-btn-holder mx-1">
                                <button class="btn btn-sm btn-primary dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <i class="fa fa-save"></i> Export
                                </button>
                                <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                    <?php $export_print_link = $this->set_current_page_link(array('format' => 'print')); ?>
                                    <a class="dropdown-item export-link-btn" data-format="print" href="<?php print_link($export_print_link); ?>" target="_blank">
                                        <img src="<?php print_link('assets/images/print.png') ?>" class="mr-2" /> PRINT
                                        </a>
                                        <?php $export_pdf_link = $this->set_current_page_link(array('format' => 'pdf')); ?>
                                        <a class="dropdown-item export-link-btn" data-format="pdf" href="<?php print_link($export_pdf_link); ?>" target="_blank">
                                            <img src="<?php print_link('assets/images/pdf.png') ?>" class="mr-2" /> PDF
                                            </a>
                                            <?php $export_word_link = $this->set_current_page_link(array('format' => 'word')); ?>
                                            <a class="dropdown-item export-link-btn" data-format="word" href="<?php print_link($export_word_link); ?>" target="_blank">
                                                <img src="<?php print_link('assets/images/doc.png') ?>" class="mr-2" /> WORD
                                                </a>
                                                <?php $export_csv_link = $this->set_current_page_link(array('format' => 'csv')); ?>
                                                <a class="dropdown-item export-link-btn" data-format="csv" href="<?php print_link($export_csv_link); ?>" target="_blank">
                                                    <img src="<?php print_link('assets/images/csv.png') ?>" class="mr-2" /> CSV
                                                    </a>
                                                    <?php $export_excel_link = $this->set_current_page_link(array('format' => 'excel')); ?>
                                                    <a class="dropdown-item export-link-btn" data-format="excel" href="<?php print_link($export_excel_link); ?>" target="_blank">
                                                        <img src="<?php print_link('assets/images/xsl.png') ?>" class="mr-2" /> EXCEL
                                                        </a>
                                                    </div>
                                                </div>
                                            </div>
                                            <?php
                                            }
                                            else{
                                            ?>
                                            <!-- Empty Record Message -->
                                            <div class="text-muted p-3">
                                                <i class="fa fa-ban"></i> No Record Found
                                            </div>
                                            <?php
                                            }
                                            ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>
