<?php 
//check if current user role is allowed access to the pages
$can_add = ACL::is_allowed("properties/add");
$can_edit = ACL::is_allowed("properties/edit");
$can_view = ACL::is_allowed("properties/view");
$can_delete = ACL::is_allowed("properties/delete");
?>
<?php
$comp_model = new SharedController;
$page_element_id = "view-page-" . random_str();
$current_page = $this->set_current_page_link();
$csrf_token = Csrf::$token;
//Page Data Information from Controller
$data = $this->view_data;
//$rec_id = $data['__tableprimarykey'];
$page_id = $this->route->page_id; //Page id from url
$view_title = $this->view_title;
$show_header = $this->show_header;
$show_edit_btn = $this->show_edit_btn;
$show_delete_btn = $this->show_delete_btn;
$show_export_btn = $this->show_export_btn;
?>
<section class="page" id="<?php echo $page_element_id; ?>" data-page-type="view"  data-display-type="table" data-page-url="<?php print_link($current_page); ?>">
    <?php
    if( $show_header == true ){
    ?>
    <div  class="bg-light p-3 mb-3">
        <div class="container">
            <div class="row ">
                <div class="col ">
                    <h4 class="record-title">View  Properties</h4>
                </div>
            </div>
        </div>
    </div>
    <?php
    }
    ?>
    <div  class="">
        <div class="container">
            <div class="row ">
                <div class="col comp-grid">
                    <h4 class="header-sub">Property Details</h4>
                </div>
            </div>
        </div>
    </div>
    <div  class="">
        <div class="container">
            <div class="row ">
                <div class="col-md-12 comp-grid">
                    <?php $this :: display_page_errors(); ?>
                    <div  class="card animated fadeIn page-content">
                        <?php
                        $counter = 0;
                        if(!empty($data)){
                        $rec_id = (!empty($data['id']) ? urlencode($data['id']) : null);
                        $counter++;
                        ?>
                        <div id="page-report-body" class="">
                            <table class="table table-hover table-borderless table-striped">
                                <!-- Table Body Start -->
                                <tbody class="page-data" id="page-data-<?php echo $page_element_id; ?>">
                                    <tr  class="td-short_description_en">
                                        <th class="title"> Short Description En: </th>
                                        <td class="value"> <?php echo $data['short_description_en']; ?></td>
                                    </tr>
                                    <tr  class="td-short_description_ar">
                                        <th class="title"> Short Description Ar: </th>
                                        <td class="value"> <?php echo $data['short_description_ar']; ?></td>
                                    </tr>
                                    <tr  class="td-long_description_en">
                                        <th class="title"> Long Description En: </th>
                                        <td class="value"> <?php echo $data['long_description_en']; ?></td>
                                    </tr>
                                    <tr  class="td-long_description_ar">
                                        <th class="title"> Long Description Ar: </th>
                                        <td class="value"> <?php echo $data['long_description_ar']; ?></td>
                                    </tr>
                                    <tr  class="td-space_size">
                                        <th class="title"> Space Size: </th>
                                        <td class="value"> <?php echo $data['space_size']; ?></td>
                                    </tr>
                                    <tr  class="td-preview_image">
                                        <th class="title"> Preview Image: </th>
                                        <td class="value"><?php Html :: page_img($data['preview_image'],400,400,1); ?></td>
                                    </tr>
                                    <tr  class="td-price">
                                        <th class="title"> Price: </th>
                                        <td class="value"> <?php echo $data['price']; ?></td>
                                    </tr>
                                    <tr  class="td-payment_per">
                                        <th class="title"> Payment Per: </th>
                                        <td class="value"> <?php echo $data['payment_per']; ?></td>
                                    </tr>
                                    <tr  class="td-address">
                                        <th class="title"> Address: </th>
                                        <td class="value"> <?php echo $data['address']; ?></td>
                                    </tr>
                                    <tr  class="td-development_fee">
                                        <th class="title"> Development Fee: </th>
                                        <td class="value"> <?php echo $data['development_fee']; ?></td>
                                    </tr>
                                    <tr  class="td-is_inclusive">
                                        <th class="title"> Is Inclusive: </th>
                                        <td class="value"> <?php echo $data['is_inclusive']; ?></td>
                                    </tr>
                                    <tr  class="td-property_type_id">
                                        <th class="title"> Property Type: </th>
                                        <td class="value">
                                            <a size="sm" class="btn btn-sm btn-primary page-modal" href="<?php print_link("property_types/view/" . urlencode($data['property_type_id'])) ?>">
                                                <i class="fa fa-eye"></i> <?php echo $data['property_types_property_type_name_en'] ?>
                                            </a>
                                        </td>
                                    </tr>
                                    <tr  class="td-country_id">
                                        <th class="title"> Country: </th>
                                        <td class="value">
                                            <a size="sm" class="btn btn-sm btn-primary page-modal" href="<?php print_link("countries/view/" . urlencode($data['country_id'])) ?>">
                                                <i class="fa fa-eye"></i> <?php echo $data['countries_country_name_en'] ?>
                                            </a>
                                        </td>
                                    </tr>
                                    <tr  class="td-user_id">
                                        <th class="title"> User: </th>
                                        <td class="value">
                                            <a size="sm" class="btn btn-sm btn-primary page-modal" href="<?php print_link("users/view/" . urlencode($data['user_id'])) ?>">
                                                <i class="fa fa-eye"></i> <?php echo $data['users_full_name'] ?>
                                            </a>
                                        </td>
                                    </tr>
                                    <tr  class="td-email">
                                        <th class="title"> Email: </th>
                                        <td class="value"> <?php echo $data['email']; ?></td>
                                    </tr>
                                    <tr  class="td-mobile">
                                        <th class="title"> Mobile: </th>
                                        <td class="value"> <?php echo $data['mobile']; ?></td>
                                    </tr>
                                    <tr  class="td-is_shown">
                                        <th class="title"> Visible: </th>
                                        <td class="value"> <?php echo $data['is_shown']; ?></td>
                                    </tr>
                                    <tr  class="td-property_status">
                                        <th class="title"> Property Status: </th>
                                        <td class="value">
                                            <?php if($data['property_status'] == 'active') {?>
                                            <span class ="badge-active"><?php echo $data['property_status']; ?></span> 
                                            <?php } ?>
                                            <?php if($data['property_status'] == 'pending') {?>
                                            <span class ="badge-pending"><?php echo $data['property_status']; ?></span> 
                                            <?php } ?>
                                        </td>
                                    </tr>
                                    <tr  class="td-created_at">
                                        <th class="title"> Created At: </th>
                                        <td class="value">
                                            <span title="<?php echo human_datetime($data['created_at']); ?>" class="has-tooltip">
                                                <?php echo relative_date($data['created_at']); ?>
                                            </span>
                                        </td>
                                    </tr>
                                    <tr  class="td-updated_at">
                                        <th class="title"> Updated At: </th>
                                        <td class="value">
                                            <span title="<?php echo human_datetime($data['updated_at']); ?>" class="has-tooltip">
                                                <?php echo relative_date($data['updated_at']); ?>
                                            </span>
                                        </td>
                                    </tr>
                                </tbody>
                                <!-- Table Body End -->
                            </table>
                        </div>
                        <div class="p-3 d-flex">
                            <div class="dropup export-btn-holder mx-1">
                                <button class="btn btn-sm btn-primary dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <i class="fa fa-save"></i> Export
                                </button>
                                <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                    <?php $export_print_link = $this->set_current_page_link(array('format' => 'print')); ?>
                                    <a class="dropdown-item export-link-btn" data-format="print" href="<?php print_link($export_print_link); ?>" target="_blank">
                                        <img src="<?php print_link('assets/images/print.png') ?>" class="mr-2" /> PRINT
                                        </a>
                                        <?php $export_pdf_link = $this->set_current_page_link(array('format' => 'pdf')); ?>
                                        <a class="dropdown-item export-link-btn" data-format="pdf" href="<?php print_link($export_pdf_link); ?>" target="_blank">
                                            <img src="<?php print_link('assets/images/pdf.png') ?>" class="mr-2" /> PDF
                                            </a>
                                            <?php $export_word_link = $this->set_current_page_link(array('format' => 'word')); ?>
                                            <a class="dropdown-item export-link-btn" data-format="word" href="<?php print_link($export_word_link); ?>" target="_blank">
                                                <img src="<?php print_link('assets/images/doc.png') ?>" class="mr-2" /> WORD
                                                </a>
                                                <?php $export_csv_link = $this->set_current_page_link(array('format' => 'csv')); ?>
                                                <a class="dropdown-item export-link-btn" data-format="csv" href="<?php print_link($export_csv_link); ?>" target="_blank">
                                                    <img src="<?php print_link('assets/images/csv.png') ?>" class="mr-2" /> CSV
                                                    </a>
                                                    <?php $export_excel_link = $this->set_current_page_link(array('format' => 'excel')); ?>
                                                    <a class="dropdown-item export-link-btn" data-format="excel" href="<?php print_link($export_excel_link); ?>" target="_blank">
                                                        <img src="<?php print_link('assets/images/xsl.png') ?>" class="mr-2" /> EXCEL
                                                        </a>
                                                    </div>
                                                </div>
                                                <?php if($can_edit){ ?>
                                                <a class="btn btn-sm btn-info"  href="<?php print_link("properties/edit/$rec_id"); ?>">
                                                    <i class="fa fa-edit"></i> Edit
                                                </a>
                                                <?php } ?>
                                                <?php if($can_delete){ ?>
                                                <a class="btn btn-sm btn-danger record-delete-btn mx-1"  href="<?php print_link("properties/delete/$rec_id/?csrf_token=$csrf_token&redirect=$current_page"); ?>" data-prompt-msg="Are you sure you want to delete this record?" data-display-style="modal">
                                                    <i class="fa fa-times"></i> Delete
                                                </a>
                                                <?php } ?>
                                            </div>
                                            <?php
                                            }
                                            else{
                                            ?>
                                            <!-- Empty Record Message -->
                                            <div class="text-muted p-3">
                                                <i class="fa fa-ban"></i> No Record Found
                                            </div>
                                            <?php
                                            }
                                            ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div  class="">
                            <div class="container">
                                <div class="row ">
                                    <div class="col comp-grid">
                                        <h4 class="header-sub">Property Resources</h4>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div  class="">
                            <div class="container">
                                <div class="row ">
                                    <div class="col-md-12 comp-grid">
                                        <div class=" ">
                                            <?php  
                                            $this->render_page("property_resources/list/property_resources.property_id/$data[id]?limit_count=20"); 
                                            ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div  class="">
                            <div class="container">
                                <div class="row ">
                                    <div class="col comp-grid">
                                        <h4 class="header-sub">Property Options</h4>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div  class="">
                            <div class="container">
                                <div class="row ">
                                    <div class="col-md-12 comp-grid">
                                        <div class=" ">
                                            <?php  
                                            $this->render_page("property_options/list/property_options.property_id/$data[id]?limit_count=20"); 
                                            ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div  class="">
                            <div class="container">
                                <div class="row ">
                                    <div class="col comp-grid">
                                        <h4 class="header-sub">Property Amenitites</h4>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div  class="">
                            <div class="container">
                                <div class="row ">
                                    <div class="col-md-12 comp-grid">
                                        <div class=" ">
                                            <?php  
                                            $this->render_page("property_amenities/list/property_amenities.property_id/$data[id]?limit_count=20"); 
                                            ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div  class="">
                            <div class="container">
                                <div class="row ">
                                    <div class="col comp-grid">
                                        <h4 class="header-sub">Property Facilities</h4>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div  class="">
                            <div class="container">
                                <div class="row ">
                                    <div class="col-md-12 comp-grid">
                                        <div class=" ">
                                            <?php  
                                            $this->render_page("property_facilities/list/property_facilities.property_id/$data[id]?limit_count=20"); 
                                            ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>
